clear all;

% Load the 'displays' struct from Experiment 2A
load 2B_Data_Patterns/displays.mat;

% Options
K = 4;
Sm = 4;

% Create the format needed by the Summary_ChangeDetection function
for i=1:length(displays)    
    % Study display
    curD(i).location = displays(i).location;
    curD(i).colorItems = displays(i).colorItems;
    
    % Test display
    curD2(i).location = displays(i).location2;
    curD2(i).colorItems = displays(i).colorItems2;
end

% Run the models on each display
parfor i=1:length(displays)
    disp(i);
    probSame_Summary(i) = Summary_ChangeDetection(curD(i), curD2(i), K);
    probSame_Chunk(i) = Chunk_ChangeDetection(displays(i).display, ...
        displays(i).display2, K, Sm);
end

% Save results
save 2B_ModelResults.mat probSame_Summary probSame_Chunk
